boost::geometry::detail::is_valid::complement_graph< TurnPoint > Class Template Reference

List of all members.

## Classes

class | has_cycles_dfs_data
struct | vertex_handle_less

## Public Types

typedef vertex_container::const_iterator | vertex_handle

## Public Member Functions

void | add_edge (vertex_handle v1, vertex_handle v2)
vertex_handle | add_vertex (signed_size_type id)
vertex_handle | add_vertex (TurnPoint const &turn_point)
| complement_graph (std::size_t num_rings)
bool | has_cycles () const

## Friends

template<typename OStream , typename TP >
void | debug_print_complement_graph (OStream &, complement_graph< TP > const &)

### template<typename TurnPoint>
class boost::geometry::detail::is_valid::complement_graph< TurnPoint >

## Member Typedef Documentation

template<typename TurnPoint >

typedef vertex_container::const_iterator boost::geometry::detail::is_valid::complement_graph< TurnPoint >::vertex_handle

## Constructor & Destructor Documentation

template<typename TurnPoint >

boost::geometry::detail::is_valid::complement_graph< TurnPoint >::complement_graph | ( | std::size_t | num_rings | ) |

## Member Function Documentation

template<typename TurnPoint >

vertex_handle boost::geometry::detail::is_valid::complement_graph< TurnPoint >::add_vertex | ( | signed_size_type | id | ) |

template<typename TurnPoint >

vertex_handle boost::geometry::detail::is_valid::complement_graph< TurnPoint >::add_vertex | ( | TurnPoint const & | turn_point | ) |

template<typename TurnPoint >

void boost::geometry::detail::is_valid::complement_graph< TurnPoint >::add_edge | ( | vertex_handle | v1,
|  | vertex_handle | v2
| ) |  |

template<typename TurnPoint >

bool boost::geometry::detail::is_valid::complement_graph< TurnPoint >::has_cycles | ( |  | ) | const

## Friends And Related Function Documentation

template<typename TurnPoint >
template<typename OStream , typename TP >

void debug_print_complement_graph | ( | OStream & | ,
|  | complement_graph< TP > const & |
| ) |  | `[friend]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK